## cuse4bsd 0~svn2434

=== Makefile ===
#
# Copyright (c) 2010 Hans Petter Selasky. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

VERSION=	0.1.27
DESTDIR?=

MAKE_ARGS=
.if defined(HAVE_DEBUG)
MAKE_ARGS+=" HAVE_DEBUG=YES"
.endif
.if defined(PTHREAD_LIBS)
MAKE_ARGS+=" PTHREAD_LIBS=${PTHREAD_LIBS}"
.endif

all:
	make -f ${.CURDIR}/Makefile.lib ${MAKE_ARGS} all
	make -f ${.CURDIR}/Makefile.kmod all

clean:
	make -f ${.CURDIR}/Makefile.lib clean
	make -f ${.CURDIR}/Makefile.kmod clean cleandepend

install:
	make -f ${.CURDIR}/Makefile.lib DESTDIR=${DESTDIR} install
	make -f ${.CURDIR}/Makefile.kmod DESTDIR=${DESTDIR} install

package: clean

	tar -jcvf temp.tar.bz2 --exclude="*.txt" --exclude=".svn" Makefile Makefile.lib Makefile.kmod *.[3ch]

	rm -rf cuse4bsd-kmod-${VERSION}

	mkdir cuse4bsd-kmod-${VERSION}

	tar -jxvf temp.tar.bz2 -C cuse4bsd-kmod-${VERSION}

	rm -rf temp.tar.bz2

	tar -jcvf cuse4bsd-kmod-${VERSION}.tar.bz2 cuse4bsd-kmod-${VERSION}

=== debian/changelog ===
cuse4bsd (0~svn2434-2) unstable; urgency=low

  * Team upload.
  * Switch cuse4bsd-dkms to kfreebsd-any.
  * Fix FTBFS by overriding dh_auto_test target.

 -- Robert Millan <rmh@debian.org>  Mon, 07 Oct 2013 23:15:42 +0200

cuse4bsd (0~svn2434-1) unstable; urgency=low

  * Initial release. (Closes: #688141)

 -- Christoph Egger <christoph@debian.org>  Wed, 19 Sep 2012 10:48:29 -0700

=== debian/control ===
Source: cuse4bsd
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 freebsd-buildutils,
 libbsd-dev,
 kldutils,
 dkms
Standards-Version: 3.9.4
Homepage: http://www.selasky.org/hans_petter/cuse4bsd/

Package: libcuse4bsd-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcuse4bsd1 (= ${binary:Version})
Description: Characterdevices in USErspace
 Simple interface for userspace programs to export a virtual
 character device to kFreeBSD.
 .
 This package contains the development files for the libcuse4bsd
 shared library

Package: libcuse4bsd1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, kldutils
Recommends: cuse4bsd-dkms
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 character device to kFreeBSD.
 .
 This package contains the libcuse4bsd shared library

Package: cuse4bsd-dkms
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
 dkms (>= 2.2.0.1-3),
 freebsd-buildutils (>= 8.2-2),
 kfreebsd-headers-9 | kfreebsd-headers,
Description: CUSE module for kFreeBSD
 This package provides the CUSE module for kernel of FreeBSD.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with dkms

override_dh_auto_clean:
	env -u MAKEFLAGS PATH=/usr/lib/freebsd:$(PATH) \
	  make -f Makefile.lib clean

override_dh_auto_build:
	env -u MAKEFLAGS LDFLAGS="-z relro" COPTS="$(CFLAGS)" PATH=/usr/lib/freebsd:$(PATH) \
	  make -f Makefile.lib

override_dh_auto_test:

override_dh_auto_install:
	env -u MAKEFLAGS PATH=/usr/lib/freebsd:$(PATH) \
	  make -f Makefile.lib DESTDIR=$(CURDIR)/debian/libcuse4bsd-dev install
	mv $(CURDIR)/debian/libcuse4bsd-dev/usr/lib/libcuse4bsd.so.1 $(CURDIR)/debian/libcuse4bsd1/usr/lib
	mkdir -p $(CURDIR)/debian/cuse4bsd-dkms/usr/src/cuse4bsd-SVN
	cp cuse4bsd_kmod.c cuse4bsd.h Makefile.kmod $(CURDIR)/debian/cuse4bsd-dkms/usr/src/cuse4bsd-SVN

override_dh_dkms:
	dh_dkms -V SVN
